# class Byebug::ThreadCommand::StopCommand

Stops the specified thread

### Public Class Methods

description() click to toggle source

    # File lib/byebug/commands/thread/stop.rb, line 20
          def self.description
            <<-DESCRIPTION
              th[read] st[op] <thnum>

              #{short_description}
            DESCRIPTION
          end

regexp() click to toggle source

    # File lib/byebug/commands/thread/stop.rb, line 16
    def self.regexp
      /^\s* st(?:op)? (?: \s* (\d+))? \s*$/x
    end

short_description() click to toggle source

    # File lib/byebug/commands/thread/stop.rb, line 28
    def self.short_description
      "Stops the execution of the specified thread"
    end

### Public Instance Methods

execute() click to toggle source

    # File lib/byebug/commands/thread/stop.rb, line 32
    def execute
      return puts(help) unless @match[1]

      context, err = context_from_thread(@match[1])
      return errmsg(err) if err

      context.suspend
      display_context(context)
    end